CADxp: Modifier Etat dynamique en lisp - CADxp

Aller au contenu

Page 1 sur 1

Modifier Etat dynamique en lisp

#1 L'utilisateur est hors-ligne   Topheur 

  • ceinture verte
  • Groupe : Membres
  • Messages : 93
  • Inscrit(e) : 05-janvier 16

  Posté 05 juin 2018 - 18:29

Messieurs, Dames, bonsoir,

Une question à deux euros :(rires forts): , comment fait on lorsque l'on insert un bloc dynamique pour modifier un paramètre dynamique ?

Pour un attribut c'est :
(setpropertyvalue bloc "NOM_ATTRIBUT" Ex_Nom_Attribut)

Pour la visibilité c'est :
(setpropertyvalue bloc "AcDbDynBlockPropertyModele" (itoa Nom_Visibilité) )

Mais pour un paramètre de distance... Je sais pas :(

Quelqu'un doit bien connaitre cette ligne de commande :P

Merci par avance
0

#2 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11259
  • Inscrit(e) : 02-septembre 05

Posté 05 juin 2018 - 18:51

Salut,

Tu ne sais pas, mais tu es le seul qui pourrait savoir.
Le nom de la propriété pour les paramètres dynamiques est la concaténation de "AcDbDynBlockProperty" et du nom du paramètre dynamique.
Par exemple : "AcDbDynBlockPropertyDistance1" si tu n'a pas renommé le paramètre. Ensuite, il faut juste que le type de valeur passé en argument corresponde au type de valeur attendu.

De façon générale, pour connaître le nom et/ou la valeur des propriétés, tu fais :
(dumpallproperties (car (entsel)))
puis F2 pour lire les propriétés de l'objet sélectionné.
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#3 L'utilisateur est hors-ligne   Topheur 

  • ceinture verte
  • Groupe : Membres
  • Messages : 93
  • Inscrit(e) : 05-janvier 16

Posté 08 juin 2018 - 18:37

Voir le message(gile), le 05 juin 2018 - 18:51 , dit :

Salut,

Tu ne sais pas, mais tu es le seul qui pourrait savoir.
Le nom de la propriété pour les paramètres dynamiques est la concaténation de "AcDbDynBlockProperty" et du nom du paramètre dynamique.
Par exemple : "AcDbDynBlockPropertyDistance1" si tu n'a pas renommé le paramètre. Ensuite, il faut juste que le type de valeur passé en argument corresponde au type de valeur attendu.

De façon générale, pour connaître le nom et/ou la valeur des propriétés, tu fais :
(dumpallproperties (car (entsel)))
puis F2 pour lire les propriétés de l'objet sélectionné.


Bonsoir gile,

Désolé du retard, j'ai dû oublié d'activer la notification par mail, du coup le week end étant (enfin) là, je me suis dis, je vais faire un up mais j'ai la réponse à ma question.

Sujet résolu !

Merci.
0

Partager ce sujet :


Page 1 sur 1


Réponse rapide

  

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)